Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::KeyTarget Class Reference

`#include <OgreKeyTarget.h>`

Inheritance diagram for Ogre::KeyTarget:

[legend]
List of all members.

## Public Methods

| KeyTarget ()
void | processKeyEvent (KeyEvent *e)
void | addKeyListener (KeyListener *l)
void | removeKeyListener (KeyListener *l)
virtual void | processEvent (InputEvent *e)=0

## Protected Attributes

KeyListener * | mKeyListener

## Constructor & Destructor Documentation

Ogre::KeyTarget::KeyTarget | ( |  | ) |

| Definition at line 39 of file OgreKeyTarget.cpp. References mKeyListener.

## Member Function Documentation

void Ogre::KeyTarget::addKeyListener | ( | KeyListener * | l | ) |

| Definition at line 66 of file OgreKeyTarget.cpp. References mKeyListener.

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual, inherited]`

| Implemented in Ogre::Cursor, Ogre::EventProcessor, Ogre::GuiControl, Ogre::GuiElement, Ogre::OverlayManager, Ogre::BorderButtonGuiElement, Ogre::ButtonGuiElement, Ogre::ScrollBarGuiElement, and Ogre::TextBoxGuiElement. Referenced by Ogre::EventDispatcher::processKeyEvent(), Ogre::EventDispatcher::retargetKeyEvent(), and Ogre::EventDispatcher::retargetMouseEvent().

void Ogre::KeyTarget::processKeyEvent | ( | KeyEvent * | e | ) |

| Definition at line 45 of file OgreKeyTarget.cpp. References Ogre::InputEvent::getID(), Ogre::KeyListener::keyClicked(), Ogre::KeyListener::keyPressed(), Ogre::KeyListener::keyReleased(), and mKeyListener. Referenced by Ogre::EventProcessor::processEvent().

void Ogre::KeyTarget::removeKeyListener | ( | KeyListener * | l | ) |

| Definition at line 75 of file OgreKeyTarget.cpp. References mKeyListener.

## Member Data Documentation

KeyListener* Ogre::KeyTarget::mKeyListener`[protected]`

| Definition at line 51 of file OgreKeyTarget.h. Referenced by addKeyListener(), KeyTarget(), processKeyEvent(), and removeKeyListener().

The documentation for this class was generated from the following files:

- OgreKeyTarget.h
- OgreKeyTarget.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:09 2004